PHP-инклюдинг в Ralf Image Gallery

Дата публикации:
02.07.2006
Всего просмотров:
1154
Опасность:
Высокая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ralf Image Gallery (RIG) 0.x
Уязвимые версии: Ralf Image Gallery 0.7 (stable), 0.7.4 (unstable) и 0.6.45

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "dir_abs_src" в сценариях check_entry.php, admin_album.php, admin_image.php, admin_util.php и admin_translate.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: rig.powerpulsar.com

Решение: Установите последнюю версию (1.0) с сайта производителя.

Ссылки: [MajorSecurity #18] Ralf Image Gallery <= - Multiple XSS, File Include and directory traversal vulnerabilities

или введите имя

CAPTCHA